## brightnesspicker 1.0

=== Makefile ===
# brightnesspicker
# Copyright (C) 2022 Salvo "LtWorf" Tomaselli
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
# author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>

.PHONY: clean
clean:

.PHONY: dist
dist:
	rm -rf /tmp/brightnesspicker/
	rm -rf /tmp/brightnesspicker-*
	mkdir /tmp/brightnesspicker/
	cp -R * /tmp/brightnesspicker/
	( \
		cd /tmp; \
		tar --exclude '*.user' -zcf brightnesspicker.tar.gz \
			brightnesspicker/src \
			brightnesspicker/Makefile \
			brightnesspicker/LICENSE \
			brightnesspicker/README.md \
			brightnesspicker/CHANGELOG \
			brightnesspicker/CODE_OF_CONDUCT.md \
	)
	mv /tmp/brightnesspicker.tar.gz ./brightnesspicker_`head -1 CHANGELOG`.orig.tar.gz
	gpg --sign --armor --detach-sign ./brightnesspicker_`head -1 CHANGELOG`.orig.tar.gz

.PHONY: deb-pkg
deb-pkg: dist
	$(RM) -r /tmp/brightnesspicker*
	mv brightnesspicker*orig* /tmp
	cd /tmp; tar -xf brightnesspicker*orig*.gz
	cp -r debian /tmp/brightnesspicker/
	cd /tmp/brightnesspicker; dpkg-buildpackage --changes-option=-S
	mkdir -p deb-pkg
	mv /tmp/brightnesspicker*.* deb-pkg
	lintian --pedantic -E --color auto -i -I deb-pkg/*changes deb-pkg/*deb

translations:
	cd src; lupdate -verbose brightnesspicker.pro

=== debian/changelog ===
brightnesspicker (1.0-4) unstable; urgency=low

  * Build with Qt6
  * Use dh-sequence-qmldeps
  * Bump Standards-Version
  * Add upstream/metadata file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 15 Dec 2024 14:36:30 +0100

brightnesspicker (1.0-3) unstable; urgency=low

  * Source only upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 28 May 2024 18:50:06 +0200

brightnesspicker (1.0-2) unstable; urgency=low

  * License is AGPL3+, correct the changelog

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 27 May 2024 23:34:20 +0200

brightnesspicker (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #1071211)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 16 May 2024 23:49:52 +0200

=== debian/control ===
Source: brightnesspicker
Section: x11
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 qmake6,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-l10n-tools,
 dh-sequence-qmldeps,
Standards-Version: 4.7.0
Homepage: https://codeberg.org/ltworf/brightnesspicker
Vcs-Browser: https://codeberg.org/ltworf/brightnesspicker
Vcs-Git: https://codeberg.org/ltworf/brightnesspicker.git
Rules-Requires-Root: no

Package: brightnesspicker
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${qml6:Depends},
 x11-xserver-utils
Description: Graphical tool to set the screen brightness on Xorg
 A little window with a slider for each screen which can be used to
 adjust the brightness of the screens.
 .
 This is useful on desktop machines that do not have adjustable brightness
 like laptops.

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/ltworf/brightnesspicker/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## brightnesspicker 1.1

=== debian/changelog ===
brightnesspicker (1.1-1) unstable; urgency=medium

  * New upstream release
  * Depend on oxygen-icon-theme for the tray-icon
  * Bump Standards-Version to 4.7.2, no changes required
  * Improved the description of the package

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 25 Jul 2025 12:23:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  qt6-declarative-dev,
  qt6-l10n-tools,
  dh-sequence-qmldeps,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://codeberg.org/ltworf/brightnesspicker
 Vcs-Browser: https://codeberg.org/ltworf/brightnesspicker
 Vcs-Git: https://codeberg.org/ltworf/brightnesspicker.git
@@ -20,6 +20,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${qml6:Depends},
+ oxygen-icon-theme,
  x11-xserver-utils
 Description: Graphical tool to set the screen brightness on Xorg
  A little window with a slider for each screen which can be used to
@@ -27,3 +28,5 @@
  .
  This is useful on desktop machines that do not have adjustable brightness
  like laptops.
+ .
+ It requires Xorg to function, it will not work on wayland.

## brightnesspicker 1.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # brightnesspicker
-# Copyright (C) 2022 Salvo "LtWorf" Tomaselli
+# Copyright (C) 2022-2024 Salvo "LtWorf" Tomaselli
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Affero General Public License as
@@ -18,6 +18,7 @@
 
 .PHONY: clean
 clean:
+	$(RM) -r deb-pkg
 
 .PHONY: dist
 dist:

=== debian/changelog ===
brightnesspicker (1.2-1) unstable; urgency=medium

  * New upstream release
  * Remove dependency on oxygen-icon-theme

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 28 Jul 2025 11:03:39 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${qml6:Depends},
- oxygen-icon-theme,
  x11-xserver-utils
 Description: Graphical tool to set the screen brightness on Xorg
  A little window with a slider for each screen which can be used to
